/*
1. General
2. Fonts
3. Colours
4. Padding and Margins
5. Header and Navigation
6. Pages
6.1 Home
6.2 Apple Reparis and Upgrades
6.3 Windows Reparis and Upgrades
6.4 Laptop Reparis, Upgrades and Sales
6.5 Custom build PC
6.6 Appliances and Equipment
6.7 Contact us
10. Footer
11. Policy pages
12. Responsive
*/

/* ========= 1. General ========= */
html, body {
  font-family: 'Roboto', sans-serif;
  color: #192643;
  font-size: 15px;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  line-height: 1.5;
}
h1, h2 {
  font-family: 'Roboto', sans-serif;
  font-weight: 700;
  font-size: 2rem;
  letter-spacing: 0.5px;
}
h2 {
  font-size: 1.8rem;
}
.main-heading-padding {
  padding-bottom: 20px;
}
.standard-heading-padding {
  padding-bottom: 20px;
}
p.general-content-font {
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5;
}
.row-grey {
  background-color: #D8DBE0;
}
.btn-primary {
  background-color: #5692D8;
  border-color: #5692D8;
  font-family: Roboto;
  color: #ffffff;
  padding: 7px 18px;
  font-size: 1.1rem;
  letter-spacing: 0.5px;
  border-radius: 6px;
}
.material-icons {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  vertical-align: middle;
}
.fafafa-background {
  background-color: #fafafa;
}
/* ========= 5. Header and Navigation ========= */
.logo {
  width: 100%;
  max-width: 300px;
  padding: 25px 0 30px 0;
}
.phone-numbers a {
  color: #192643;
}
.phone-numbers {
  float: right;
  font-weight: 700;
  font-size: 1.3rem;
  background-image: url('data:image/svg+xml;utf-8,<svg xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0z" fill="none"/><path d="M6.62 10.79c1.44 2.83 3.76 5.14 6.59 6.59l2.2-2.2c.27-.27.67-.36 1.02-.24 1.12.37 2.33.57 3.57.57.55 0 1 .45 1 1V20c0 .55-.45 1-1 1-9.39 0-17-7.61-17-17 0-.55.45-1 1-1h3.5c.55 0 1 .45 1 1 0 1.25.2 2.45.57 3.57.11.35.03.74-.25 1.02l-2.2 2.2z"/></svg>');
  background-repeat: no-repeat;
  background-position: center left;
  padding-left: 40px;
  margin-top: 40px;
}
.navbar-toggler {
  width: 47px;
  height: 34px;
  background-color: #5692D8;
  border:none;
  border-radius: 0;
}
.navbar-toggler .line {
  width: 100%;
  float: left;
  height: 2px;
  background-color: #fff;
  margin-bottom: 5px;
}
#nsca-nav {
  border-bottom: 5px solid #5692D8;
  padding: 0 0;
}
.dropdown-menu {
  padding: 0;
  margin-top: 5px;
  border-radius: 0;
  border: 1px solid #E5ECF9;
}
#nsca-nav a.nav-link, .dropdown-item {
  padding: 15px 40px;
  white-space: nowrap;
  color: #5692D8;
  font-size: 1rem;
  transition: 0.6s ease;
}
#nsca-nav a.nav-link:hover, .dropdown-item:hover {
  background-color: #E5ECF9;
  color: #5692D8;
}
#nsca-nav a.nav-link.active-page, .dropdown-item.active-page {
  background-color: #5692D8;
  color: #ffffff;
}

/* ========= 6.Pages ========= */
.page-header {
  background-size: cover;
  background-position: top right;
  height: 350px;
}
.main-content-container-top {
  padding: 70px 15px 40px 15px;
}
.main-content-container-inner-fluid {
  padding: 40px 15px;
}
.main-content-container-inner {
  padding: 40px 15px;
}
.main-content-container-bottom {
  padding: 40px 15px 70px 15px;
}
.page-header-text {
  font-family: 'Roboto Slab', serif;
  font-size: 2.7rem;
  color: #ffffff;
  padding-bottom: 30px;
}
.span-blue {
  color: #88b2e3;
}
.quote-text {
  padding: 0 0 0 20px;
  margin: 20px 0 30px;
  border-left: 5px solid #5692D8;
  font-weight: 700;
  font-size: 1.5rem;
}
.expert-local-service {
  background-color: #fafafa;
  padding: 30px 0;
}
.expert-local-service img {
  height: 80px;
}
.export-local-service-main-heading {
  color: #5692D8;
  font-size: 3rem;
  font-weight: 700;
  padding-bottom: 30px;
}
h2.expert-local-heading {
 font-size:1.7rem;
 padding: 15px 0 10px 0;
}
.second-heading-padding {
  padding: 30px 0 10px 0;
}
/* ========= 6.1 Home ========= */
.page-hearder-home {
  background-image: url('../../images/banner-images/durbanville-computer-repair.jpg');
}
.homescreen-computers {
  background:  linear-gradient(to bottom, #D8DBE0 0%, #D8DBE0 100%) no-repeat;
  background-size: 100% 135px;
  background-position: left bottom;
  background-repeat: no-repeat;
  padding: 40px 0 0 0;
}
.homescreen-computers img {
  width: 80%;
  max-width: 1000px;
}
.homeimg-container {
  position: relative;
  width: 100%;
  margin: 0 auto;
  cursor: pointer;
}
.homeimg-image {
  display: block;
  width: 100%;
  height: auto;
  background-color: #192643;
}
.homeimg-overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(25, 38, 67,0.7);
  overflow: hidden;
  width: 100%;
  height: 0;
  transition: .5s ease;
}

.homeimg-container:hover .homeimg-overlay {
  height: 100%;
}
.homeimg-text-heading {
  color: white;
  font-size: 1.2rem;
  font-weight: 500;
  padding-bottom: 20px
}
.homeimg-text {
  color: white;
  font-size: 1rem;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}
.homeimg-title-overlay {
  position: absolute;
  bottom: 0;
  background: rgb(25, 38, 67);
  background-color: rgba(25, 38, 67,0.7); /* Black see-through */
  color: #ffffff;
  width: 100%;
  font-size: 1rem;
  padding: 20px;
  font-weight: 500;
  text-align: center;
  transition: .5s ease;
  opacity:1;
}
.homeimg-container:hover > .homeimg-title-overlay {
  opacity: 0;
}
.readmore {
  font-weight: 500;
}
.stars {
  padding-bottom: 20px;
}
.stars img {
  max-width: 40px;
}
.comment {
  font-size: 1.6rem;
  font-weight: 500;
  font-style: italic;
}
.comment::before, .comment::after {
  content: '"';
}
.person {
  padding-top: 20px;
  font-size: 1.3rem;
  font-weight: 400;
}
.person::before {
  content: '- ';
}
/* ========= 6.2 Apple Reparis and Upgrades ========= */
.page-hearder-mac {
  background-image: url('../../images/banner-images/macbook-pro-fix.jpg');
}
.mac-repair-family {
  padding-top: 20px;
}
.mac-repair-family img {
  max-width: 700px;
  width: 100%;
}
/* ========= 6.3 Windows Reparis and Upgrades ========= */
.page-header-windows {
  background-image: url('../../images/banner-images/cape-town-recover-laptop-data.jpg');
}
/* ========= 6.4 Laptop Reparis, Upgrades and Sales ========= */
.page-hearder-laptop {
  background-image: url('../../images/banner-images/buy-laptop-cape-town.jpg');
}
.laptop-repair-image {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}
.laptop-repair-image img {
  width: 100%;
}
/* ========= 6.5 Custom build PC ========= */
.page-header-custom {
  background-image: url('../../images/banner-images/custom-computer-cape-town.jpg');
}
ul.custom-build-facts {
  padding: 0;
  margin: 0;
  list-style-type: none;
  padding-top: 15px;
}
.custom-build-facts li {
  background-image: url('../../images/icons/onsite-computer-repair.svg');
  background-size: auto 35px;
  background-repeat: no-repeat;
  background-position: left center;
  padding: 10px 0 10px 45px;
  margin: 5px 0;
  font-weight: 500;
  font-size: 1.1rem;
}
.custom-build-computer-graphic {
  padding-top: 20px;
}
.custom-build-computer-graphic img {
  width: 100%;
  max-width: 500px;
}


/* ========= 6.6 Appliances and Equipment ========= */
.page-header-appliances {
  background-image: url('../../images/banner-images/buy-home-appliances.jpg');  
}
.appliances-and-equipment img {
  width: 100%;
}
table {
  width: 100%;
}
table td, table th {
  width: 50%;
  padding: 10px 20px;
  border: 1px solid #ffffff;
}
.bottom-tv img {
  width: 100%;
  max-width: 300px;
}
/* ========= 6.7 Contact us ========= */
.page-header-contact {
  background-image: url('../../images/banner-images/laptop-repair-durbanville.jpg');
}
.approved-quality {
  padding: 20px 0 0 20px;
}
.approved-quality img {
  max-width: 70px;
}
.errormessage {
  font-size: 12px;
  color: red;
  font-weight: bold;
  display:none;
}
.loadinganimation {
  position: absolute;
  width:100%;
  height: 100%;
  background-color: rgba(255,255,255,0.7);
  display:none;
}
@keyframes ldio-qrql5fpunc {
  0% { background: #bbcedd }
  12.5% { background: #bbcedd }
  12.625% { background: #85a2b6 }
  100% { background: #85a2b6 }
}
.ldio-qrql5fpunc div {
  position: absolute;
  width: 40px;
  height: 40px;
  background: #85a2b6;
  animation: ldio-qrql5fpunc 1s linear infinite;
}
.loadingio-spinner-blocks-bfg25t5cqnl {
  width: 200px;
  height: 200px;
  overflow: hidden;
  background: #fff;
  margin: 0 auto;
}
.ldio-qrql5fpunc {
  width: 100%;
  height: 100%;
  position: relative;
  transform: translateZ(0) scale(1);
  backface-visibility: hidden;
  transform-origin: 0 0; /* see note above */
}
.ldio-qrql5fpunc div { box-sizing: content-box; }
/* ========= 10. Footer ========= */
footer {
  background-color: #192643;
  color: #ffffff;
  padding-top: 30px;
}
footer a {
  color: #ffffff;
}
footer a:hover {
  color: #BCBFC6;
}
.nsca-ball {
  padding-bottom: 30px;
}
.footer-policy-links {
  background-color: #2f3b55;
  padding: 10px 0;
  text-align: center;
  margin-top: 20px;
}
.footer-policy-links ul {
  margin:0;
  padding:0;
}
.footer-policy-links li {
  display: inline;
  padding: 0 10px;  
}
.footer-policy-links li a {
  color: #BCBFC6;
  font-size: 0.9rem;
}
.acreation-link {
  background-color: #434e66;
  color: #BCBFC6;
  font-size: 0.9rem;
  padding: 15px 0 10px 0;
}
.acreation-link a {
  color: #BCBFC6;
}
.acreation-link a:hover, .acreation-link i {
  color: #5692D8;
}
.acreation-link i {
  font-size: 20px;
}
.footer-address, .footer-phone, .footer-email {
  background-image: url('../../images/northern-suburbs-computers-and-appliances-location.png');
  background-repeat: no-repeat;
  background-position: 1px 5px;
  background-size: 15px auto; 
  padding-left: 25px;
}
.footer-phone {
  background-image: url('../../images/northern-suburbs-computers-and-appliances-phone.png');
}
.footer-email {
  background-image: url('../../images/northern-suburbs-computers-and-appliances-email.png');
}

/* ========= 11. Policy pages ========= */
.first-heading {
  text-transform: uppercase;
  font-weight: 700;
  font-size: 1.8rem;
  text-align: center;
  padding-bottom: 30px;
}
.second-heading {
  text-transform: uppercase;
  font-size: 1.2rem;
  font-weight: 700;
  padding-top: 30px;
}
.policy-list {
  list-style-type: none;
  padding: 0 0 0 15px;
  margin: 0;
  text-transform: uppercase;
  font-size: 0.9rem;
  font-weight: 600;
}

/* ========= 12. Responsive ========= */
@media (max-width: 991.98px) {
  .homescreen-computers {
    background-size: 100% 100px;
  }
}
@media (max-width: 767.98px) {
  .homescreen-computers {
    background-size: 100% 78px;
  }
  .homescreen-computers img {
    width: 90%;
  }
  .homeimg-container {
    width: 80%;
    margin-bottom: 50px;
  }
  .homeimg-overlay {
    height: 100%;
  }
  .homeimg-title-overlay {
    opacity: 0;
  }
  .col-md-4.contact-details {
    padding: 40px 15px;
  }
  .logo {
    padding: 25px 0 10px 0;
  }
  .phone-numbers {
    margin-top: 0;
  }
  .page-header {
    height: 280px;
  }
  .page-header-text {
    font-size: 2rem;
  }
  .approved-quality {
    padding: 60px 0 0 20px;
  }
}
@media (max-width: 575.98px) {
  .homescreen-computers img {
    width: 100%;
  }
}